%define module_name Mail-SPF-Iterator
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/DNS.pm) perl(Socket.pm) perl(Socket6.pm) perl(URI.pm) perl(YAML.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.119
Release: alt1
Summary: iterative SPF lookup
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SU/SULLR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides an iterative resolving of SPF records. Contrary to
Mail::SPF, which does blocking DNS lookups, this module just returns the DNS
queries and later expects the responses.

Lookup of the DNS records will be done outside of the module and can be done
in a event driven way.

This module can also make use of SenderID records for checking the `mfrom'
part, but only if it finds an SenderID record first (e.g. if the SPF reply
contains only SenderID and the the TXT SenderID and SPF and it gets the SPF
reply first it will use SenderID, if it gets TXT first it will use SPF).

This behavior is not compatible with RFC4406 where SenderID records take
preference, but compatible with RFC4408 in that it uses SPF records and
provides a way to use SenderID if no SPF records are given.

See RFC4408 for SPF and RFC4406 for SenderID.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT Changes README
%perl_vendor_privlib/M*

%changelog
* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.119-alt1
- regenerated from template by package builder

* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 1.118-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 1.117-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.116-alt1
- regenerated from template by package builder

* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 1.114-alt1
- regenerated from template by package builder

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.113-alt2
- updated summary

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 1.113-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.112-alt1
- regenerated from template by package builder

* Thu Nov 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.111-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- initial import by package builder

